import React, { Component } from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

export class PageLinks extends Component {
	onPageLinkClick(event, pageLink) {
		const { onClick } = this.props;
		if (onClick) {
			onClick({
				originalEvent: event,
				value: pageLink,
			});
		}

		event.preventDefault();
	}

	render() {
		const { page, value } = this.props;
		const elements = value.map(pageLink => {
			const pageClassName = classNames('p-paginator-page p-paginator-element p-link', {
				'p-highlight': pageLink - 1 === page,
			});

			return (
				<button
					type="button"
					key={pageLink}
					className={pageClassName}
					onClick={e => this.onPageLinkClick(e, pageLink)}
				>
					{pageLink}
				</button>
			);
		});

		return <span className="p-paginator-pages">{elements}</span>;
	}
}

PageLinks.defaultProps = {
	page: null,
	value: null,
};

PageLinks.propTypes = {
	onClick: PropTypes.func,
	page: PropTypes.number,
	value: PropTypes.array,
};

export default PageLinks;
